Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network186.0.0.0/7
Usable hosts33,554,430
Subnet mask254.0.0.0
Addresses33,554,432
Network address
186.0.0.0
Broadcast address
187.255.255.255
First usable
186.0.0.1
Last usable
187.255.255.254
Usable hosts
33,554,430 (33,554,432 less the network and broadcast addresses)
Subnet mask
254.0.0.0
Wildcard mask
1.255.255.255 (Cisco ACLs, OSPF)
Prefix length
/7
Type
Public public
Old class
B (default /16)
As numbers
Hex BA000000 · Integer 3120562176 to 3154116607
Reverse DNS zones
186.in-addr.arpa
187.in-addr.arpa
/7 is not on a 8-bit boundary, so it takes 2 /8 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address10111010.00000000.00000000.00000000186.0.0.0
Subnet mask11111110.00000000.00000000.00000000254.0.0.0
Network10111010.00000000.00000000.00000000186.0.0.0
Broadcast10111011.11111111.11111111.11111111187.255.255.255
Split into smaller subnets/16

186.0.0.0/7 makes 512 subnets of /16; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
1186.0.0.0/16186.0.0.1 to 186.0.255.254186.0.255.25565,534
2186.1.0.0/16186.1.0.1 to 186.1.255.254186.1.255.25565,534
3186.2.0.0/16186.2.0.1 to 186.2.255.254186.2.255.25565,534
4186.3.0.0/16186.3.0.1 to 186.3.255.254186.3.255.25565,534
5186.4.0.0/16186.4.0.1 to 186.4.255.254186.4.255.25565,534
6186.5.0.0/16186.5.0.1 to 186.5.255.254186.5.255.25565,534
7186.6.0.0/16186.6.0.1 to 186.6.255.254186.6.255.25565,534
8186.7.0.0/16186.7.0.1 to 186.7.255.254186.7.255.25565,534
9186.8.0.0/16186.8.0.1 to 186.8.255.254186.8.255.25565,534
10186.9.0.0/16186.9.0.1 to 186.9.255.254186.9.255.25565,534
11186.10.0.0/16186.10.0.1 to 186.10.255.254186.10.255.25565,534
12186.11.0.0/16186.11.0.1 to 186.11.255.254186.11.255.25565,534
13186.12.0.0/16186.12.0.1 to 186.12.255.254186.12.255.25565,534
14186.13.0.0/16186.13.0.1 to 186.13.255.254186.13.255.25565,534
15186.14.0.0/16186.14.0.1 to 186.14.255.254186.14.255.25565,534
16186.15.0.0/16186.15.0.1 to 186.15.255.254186.15.255.25565,534
17186.16.0.0/16186.16.0.1 to 186.16.255.254186.16.255.25565,534
18186.17.0.0/16186.17.0.1 to 186.17.255.254186.17.255.25565,534
19186.18.0.0/16186.18.0.1 to 186.18.255.254186.18.255.25565,534
20186.19.0.0/16186.19.0.1 to 186.19.255.254186.19.255.25565,534
21186.20.0.0/16186.20.0.1 to 186.20.255.254186.20.255.25565,534
22186.21.0.0/16186.21.0.1 to 186.21.255.254186.21.255.25565,534
23186.22.0.0/16186.22.0.1 to 186.22.255.254186.22.255.25565,534
24186.23.0.0/16186.23.0.1 to 186.23.255.254186.23.255.25565,534
25186.24.0.0/16186.24.0.1 to 186.24.255.254186.24.255.25565,534
26186.25.0.0/16186.25.0.1 to 186.25.255.254186.25.255.25565,534
27186.26.0.0/16186.26.0.1 to 186.26.255.254186.26.255.25565,534
28186.27.0.0/16186.27.0.1 to 186.27.255.254186.27.255.25565,534
29186.28.0.0/16186.28.0.1 to 186.28.255.254186.28.255.25565,534
30186.29.0.0/16186.29.0.1 to 186.29.255.254186.29.255.25565,534
31186.30.0.0/16186.30.0.1 to 186.30.255.254186.30.255.25565,534
32186.31.0.0/16186.31.0.1 to 186.31.255.254186.31.255.25565,534
33186.32.0.0/16186.32.0.1 to 186.32.255.254186.32.255.25565,534
34186.33.0.0/16186.33.0.1 to 186.33.255.254186.33.255.25565,534
35186.34.0.0/16186.34.0.1 to 186.34.255.254186.34.255.25565,534
36186.35.0.0/16186.35.0.1 to 186.35.255.254186.35.255.25565,534
37186.36.0.0/16186.36.0.1 to 186.36.255.254186.36.255.25565,534
38186.37.0.0/16186.37.0.1 to 186.37.255.254186.37.255.25565,534
39186.38.0.0/16186.38.0.1 to 186.38.255.254186.38.255.25565,534
40186.39.0.0/16186.39.0.1 to 186.39.255.254186.39.255.25565,534
41186.40.0.0/16186.40.0.1 to 186.40.255.254186.40.255.25565,534
42186.41.0.0/16186.41.0.1 to 186.41.255.254186.41.255.25565,534
43186.42.0.0/16186.42.0.1 to 186.42.255.254186.42.255.25565,534
44186.43.0.0/16186.43.0.1 to 186.43.255.254186.43.255.25565,534
45186.44.0.0/16186.44.0.1 to 186.44.255.254186.44.255.25565,534
46186.45.0.0/16186.45.0.1 to 186.45.255.254186.45.255.25565,534
47186.46.0.0/16186.46.0.1 to 186.46.255.254186.46.255.25565,534
48186.47.0.0/16186.47.0.1 to 186.47.255.254186.47.255.25565,534
49186.48.0.0/16186.48.0.1 to 186.48.255.254186.48.255.25565,534
50186.49.0.0/16186.49.0.1 to 186.49.255.254186.49.255.25565,534
51186.50.0.0/16186.50.0.1 to 186.50.255.254186.50.255.25565,534
52186.51.0.0/16186.51.0.1 to 186.51.255.254186.51.255.25565,534
53186.52.0.0/16186.52.0.1 to 186.52.255.254186.52.255.25565,534
54186.53.0.0/16186.53.0.1 to 186.53.255.254186.53.255.25565,534
55186.54.0.0/16186.54.0.1 to 186.54.255.254186.54.255.25565,534
56186.55.0.0/16186.55.0.1 to 186.55.255.254186.55.255.25565,534
57186.56.0.0/16186.56.0.1 to 186.56.255.254186.56.255.25565,534
58186.57.0.0/16186.57.0.1 to 186.57.255.254186.57.255.25565,534
59186.58.0.0/16186.58.0.1 to 186.58.255.254186.58.255.25565,534
60186.59.0.0/16186.59.0.1 to 186.59.255.254186.59.255.25565,534
61186.60.0.0/16186.60.0.1 to 186.60.255.254186.60.255.25565,534
62186.61.0.0/16186.61.0.1 to 186.61.255.254186.61.255.25565,534
63186.62.0.0/16186.62.0.1 to 186.62.255.254186.62.255.25565,534
64186.63.0.0/16186.63.0.1 to 186.63.255.254186.63.255.25565,534
65186.64.0.0/16186.64.0.1 to 186.64.255.254186.64.255.25565,534
66186.65.0.0/16186.65.0.1 to 186.65.255.254186.65.255.25565,534
67186.66.0.0/16186.66.0.1 to 186.66.255.254186.66.255.25565,534
68186.67.0.0/16186.67.0.1 to 186.67.255.254186.67.255.25565,534
69186.68.0.0/16186.68.0.1 to 186.68.255.254186.68.255.25565,534
70186.69.0.0/16186.69.0.1 to 186.69.255.254186.69.255.25565,534
71186.70.0.0/16186.70.0.1 to 186.70.255.254186.70.255.25565,534
72186.71.0.0/16186.71.0.1 to 186.71.255.254186.71.255.25565,534
73186.72.0.0/16186.72.0.1 to 186.72.255.254186.72.255.25565,534
74186.73.0.0/16186.73.0.1 to 186.73.255.254186.73.255.25565,534
75186.74.0.0/16186.74.0.1 to 186.74.255.254186.74.255.25565,534
76186.75.0.0/16186.75.0.1 to 186.75.255.254186.75.255.25565,534
77186.76.0.0/16186.76.0.1 to 186.76.255.254186.76.255.25565,534
78186.77.0.0/16186.77.0.1 to 186.77.255.254186.77.255.25565,534
79186.78.0.0/16186.78.0.1 to 186.78.255.254186.78.255.25565,534
80186.79.0.0/16186.79.0.1 to 186.79.255.254186.79.255.25565,534
81186.80.0.0/16186.80.0.1 to 186.80.255.254186.80.255.25565,534
82186.81.0.0/16186.81.0.1 to 186.81.255.254186.81.255.25565,534
83186.82.0.0/16186.82.0.1 to 186.82.255.254186.82.255.25565,534
84186.83.0.0/16186.83.0.1 to 186.83.255.254186.83.255.25565,534
85186.84.0.0/16186.84.0.1 to 186.84.255.254186.84.255.25565,534
86186.85.0.0/16186.85.0.1 to 186.85.255.254186.85.255.25565,534
87186.86.0.0/16186.86.0.1 to 186.86.255.254186.86.255.25565,534
88186.87.0.0/16186.87.0.1 to 186.87.255.254186.87.255.25565,534
89186.88.0.0/16186.88.0.1 to 186.88.255.254186.88.255.25565,534
90186.89.0.0/16186.89.0.1 to 186.89.255.254186.89.255.25565,534
91186.90.0.0/16186.90.0.1 to 186.90.255.254186.90.255.25565,534
92186.91.0.0/16186.91.0.1 to 186.91.255.254186.91.255.25565,534
93186.92.0.0/16186.92.0.1 to 186.92.255.254186.92.255.25565,534
94186.93.0.0/16186.93.0.1 to 186.93.255.254186.93.255.25565,534
95186.94.0.0/16186.94.0.1 to 186.94.255.254186.94.255.25565,534
96186.95.0.0/16186.95.0.1 to 186.95.255.254186.95.255.25565,534
97186.96.0.0/16186.96.0.1 to 186.96.255.254186.96.255.25565,534
98186.97.0.0/16186.97.0.1 to 186.97.255.254186.97.255.25565,534
99186.98.0.0/16186.98.0.1 to 186.98.255.254186.98.255.25565,534
100186.99.0.0/16186.99.0.1 to 186.99.255.254186.99.255.25565,534
101186.100.0.0/16186.100.0.1 to 186.100.255.254186.100.255.25565,534
102186.101.0.0/16186.101.0.1 to 186.101.255.254186.101.255.25565,534
103186.102.0.0/16186.102.0.1 to 186.102.255.254186.102.255.25565,534
104186.103.0.0/16186.103.0.1 to 186.103.255.254186.103.255.25565,534
105186.104.0.0/16186.104.0.1 to 186.104.255.254186.104.255.25565,534
106186.105.0.0/16186.105.0.1 to 186.105.255.254186.105.255.25565,534
107186.106.0.0/16186.106.0.1 to 186.106.255.254186.106.255.25565,534
108186.107.0.0/16186.107.0.1 to 186.107.255.254186.107.255.25565,534
109186.108.0.0/16186.108.0.1 to 186.108.255.254186.108.255.25565,534
110186.109.0.0/16186.109.0.1 to 186.109.255.254186.109.255.25565,534
111186.110.0.0/16186.110.0.1 to 186.110.255.254186.110.255.25565,534
112186.111.0.0/16186.111.0.1 to 186.111.255.254186.111.255.25565,534
113186.112.0.0/16186.112.0.1 to 186.112.255.254186.112.255.25565,534
114186.113.0.0/16186.113.0.1 to 186.113.255.254186.113.255.25565,534
115186.114.0.0/16186.114.0.1 to 186.114.255.254186.114.255.25565,534
116186.115.0.0/16186.115.0.1 to 186.115.255.254186.115.255.25565,534
117186.116.0.0/16186.116.0.1 to 186.116.255.254186.116.255.25565,534
118186.117.0.0/16186.117.0.1 to 186.117.255.254186.117.255.25565,534
119186.118.0.0/16186.118.0.1 to 186.118.255.254186.118.255.25565,534
120186.119.0.0/16186.119.0.1 to 186.119.255.254186.119.255.25565,534
121186.120.0.0/16186.120.0.1 to 186.120.255.254186.120.255.25565,534
122186.121.0.0/16186.121.0.1 to 186.121.255.254186.121.255.25565,534
123186.122.0.0/16186.122.0.1 to 186.122.255.254186.122.255.25565,534
124186.123.0.0/16186.123.0.1 to 186.123.255.254186.123.255.25565,534
125186.124.0.0/16186.124.0.1 to 186.124.255.254186.124.255.25565,534
126186.125.0.0/16186.125.0.1 to 186.125.255.254186.125.255.25565,534
127186.126.0.0/16186.126.0.1 to 186.126.255.254186.126.255.25565,534
128186.127.0.0/16186.127.0.1 to 186.127.255.254186.127.255.25565,534
129186.128.0.0/16186.128.0.1 to 186.128.255.254186.128.255.25565,534
130186.129.0.0/16186.129.0.1 to 186.129.255.254186.129.255.25565,534
131186.130.0.0/16186.130.0.1 to 186.130.255.254186.130.255.25565,534
132186.131.0.0/16186.131.0.1 to 186.131.255.254186.131.255.25565,534
133186.132.0.0/16186.132.0.1 to 186.132.255.254186.132.255.25565,534
134186.133.0.0/16186.133.0.1 to 186.133.255.254186.133.255.25565,534
135186.134.0.0/16186.134.0.1 to 186.134.255.254186.134.255.25565,534
136186.135.0.0/16186.135.0.1 to 186.135.255.254186.135.255.25565,534
137186.136.0.0/16186.136.0.1 to 186.136.255.254186.136.255.25565,534
138186.137.0.0/16186.137.0.1 to 186.137.255.254186.137.255.25565,534
139186.138.0.0/16186.138.0.1 to 186.138.255.254186.138.255.25565,534
140186.139.0.0/16186.139.0.1 to 186.139.255.254186.139.255.25565,534
141186.140.0.0/16186.140.0.1 to 186.140.255.254186.140.255.25565,534
142186.141.0.0/16186.141.0.1 to 186.141.255.254186.141.255.25565,534
143186.142.0.0/16186.142.0.1 to 186.142.255.254186.142.255.25565,534
144186.143.0.0/16186.143.0.1 to 186.143.255.254186.143.255.25565,534
145186.144.0.0/16186.144.0.1 to 186.144.255.254186.144.255.25565,534
146186.145.0.0/16186.145.0.1 to 186.145.255.254186.145.255.25565,534
147186.146.0.0/16186.146.0.1 to 186.146.255.254186.146.255.25565,534
148186.147.0.0/16186.147.0.1 to 186.147.255.254186.147.255.25565,534
149186.148.0.0/16186.148.0.1 to 186.148.255.254186.148.255.25565,534
150186.149.0.0/16186.149.0.1 to 186.149.255.254186.149.255.25565,534
151186.150.0.0/16186.150.0.1 to 186.150.255.254186.150.255.25565,534
152186.151.0.0/16186.151.0.1 to 186.151.255.254186.151.255.25565,534
153186.152.0.0/16186.152.0.1 to 186.152.255.254186.152.255.25565,534
154186.153.0.0/16186.153.0.1 to 186.153.255.254186.153.255.25565,534
155186.154.0.0/16186.154.0.1 to 186.154.255.254186.154.255.25565,534
156186.155.0.0/16186.155.0.1 to 186.155.255.254186.155.255.25565,534
157186.156.0.0/16186.156.0.1 to 186.156.255.254186.156.255.25565,534
158186.157.0.0/16186.157.0.1 to 186.157.255.254186.157.255.25565,534
159186.158.0.0/16186.158.0.1 to 186.158.255.254186.158.255.25565,534
160186.159.0.0/16186.159.0.1 to 186.159.255.254186.159.255.25565,534
161186.160.0.0/16186.160.0.1 to 186.160.255.254186.160.255.25565,534
162186.161.0.0/16186.161.0.1 to 186.161.255.254186.161.255.25565,534
163186.162.0.0/16186.162.0.1 to 186.162.255.254186.162.255.25565,534
164186.163.0.0/16186.163.0.1 to 186.163.255.254186.163.255.25565,534
165186.164.0.0/16186.164.0.1 to 186.164.255.254186.164.255.25565,534
166186.165.0.0/16186.165.0.1 to 186.165.255.254186.165.255.25565,534
167186.166.0.0/16186.166.0.1 to 186.166.255.254186.166.255.25565,534
168186.167.0.0/16186.167.0.1 to 186.167.255.254186.167.255.25565,534
169186.168.0.0/16186.168.0.1 to 186.168.255.254186.168.255.25565,534
170186.169.0.0/16186.169.0.1 to 186.169.255.254186.169.255.25565,534
171186.170.0.0/16186.170.0.1 to 186.170.255.254186.170.255.25565,534
172186.171.0.0/16186.171.0.1 to 186.171.255.254186.171.255.25565,534
173186.172.0.0/16186.172.0.1 to 186.172.255.254186.172.255.25565,534
174186.173.0.0/16186.173.0.1 to 186.173.255.254186.173.255.25565,534
175186.174.0.0/16186.174.0.1 to 186.174.255.254186.174.255.25565,534
176186.175.0.0/16186.175.0.1 to 186.175.255.254186.175.255.25565,534
177186.176.0.0/16186.176.0.1 to 186.176.255.254186.176.255.25565,534
178186.177.0.0/16186.177.0.1 to 186.177.255.254186.177.255.25565,534
179186.178.0.0/16186.178.0.1 to 186.178.255.254186.178.255.25565,534
180186.179.0.0/16186.179.0.1 to 186.179.255.254186.179.255.25565,534
181186.180.0.0/16186.180.0.1 to 186.180.255.254186.180.255.25565,534
182186.181.0.0/16186.181.0.1 to 186.181.255.254186.181.255.25565,534
183186.182.0.0/16186.182.0.1 to 186.182.255.254186.182.255.25565,534
184186.183.0.0/16186.183.0.1 to 186.183.255.254186.183.255.25565,534
185186.184.0.0/16186.184.0.1 to 186.184.255.254186.184.255.25565,534
186186.185.0.0/16186.185.0.1 to 186.185.255.254186.185.255.25565,534
187186.186.0.0/16186.186.0.1 to 186.186.255.254186.186.255.25565,534
188186.187.0.0/16186.187.0.1 to 186.187.255.254186.187.255.25565,534
189186.188.0.0/16186.188.0.1 to 186.188.255.254186.188.255.25565,534
190186.189.0.0/16186.189.0.1 to 186.189.255.254186.189.255.25565,534
191186.190.0.0/16186.190.0.1 to 186.190.255.254186.190.255.25565,534
192186.191.0.0/16186.191.0.1 to 186.191.255.254186.191.255.25565,534
193186.192.0.0/16186.192.0.1 to 186.192.255.254186.192.255.25565,534
194186.193.0.0/16186.193.0.1 to 186.193.255.254186.193.255.25565,534
195186.194.0.0/16186.194.0.1 to 186.194.255.254186.194.255.25565,534
196186.195.0.0/16186.195.0.1 to 186.195.255.254186.195.255.25565,534
197186.196.0.0/16186.196.0.1 to 186.196.255.254186.196.255.25565,534
198186.197.0.0/16186.197.0.1 to 186.197.255.254186.197.255.25565,534
199186.198.0.0/16186.198.0.1 to 186.198.255.254186.198.255.25565,534
200186.199.0.0/16186.199.0.1 to 186.199.255.254186.199.255.25565,534
201186.200.0.0/16186.200.0.1 to 186.200.255.254186.200.255.25565,534
202186.201.0.0/16186.201.0.1 to 186.201.255.254186.201.255.25565,534
203186.202.0.0/16186.202.0.1 to 186.202.255.254186.202.255.25565,534
204186.203.0.0/16186.203.0.1 to 186.203.255.254186.203.255.25565,534
205186.204.0.0/16186.204.0.1 to 186.204.255.254186.204.255.25565,534
206186.205.0.0/16186.205.0.1 to 186.205.255.254186.205.255.25565,534
207186.206.0.0/16186.206.0.1 to 186.206.255.254186.206.255.25565,534
208186.207.0.0/16186.207.0.1 to 186.207.255.254186.207.255.25565,534
209186.208.0.0/16186.208.0.1 to 186.208.255.254186.208.255.25565,534
210186.209.0.0/16186.209.0.1 to 186.209.255.254186.209.255.25565,534
211186.210.0.0/16186.210.0.1 to 186.210.255.254186.210.255.25565,534
212186.211.0.0/16186.211.0.1 to 186.211.255.254186.211.255.25565,534
213186.212.0.0/16186.212.0.1 to 186.212.255.254186.212.255.25565,534
214186.213.0.0/16186.213.0.1 to 186.213.255.254186.213.255.25565,534
215186.214.0.0/16186.214.0.1 to 186.214.255.254186.214.255.25565,534
216186.215.0.0/16186.215.0.1 to 186.215.255.254186.215.255.25565,534
217186.216.0.0/16186.216.0.1 to 186.216.255.254186.216.255.25565,534
218186.217.0.0/16186.217.0.1 to 186.217.255.254186.217.255.25565,534
219186.218.0.0/16186.218.0.1 to 186.218.255.254186.218.255.25565,534
220186.219.0.0/16186.219.0.1 to 186.219.255.254186.219.255.25565,534
221186.220.0.0/16186.220.0.1 to 186.220.255.254186.220.255.25565,534
222186.221.0.0/16186.221.0.1 to 186.221.255.254186.221.255.25565,534
223186.222.0.0/16186.222.0.1 to 186.222.255.254186.222.255.25565,534
224186.223.0.0/16186.223.0.1 to 186.223.255.254186.223.255.25565,534
225186.224.0.0/16186.224.0.1 to 186.224.255.254186.224.255.25565,534
226186.225.0.0/16186.225.0.1 to 186.225.255.254186.225.255.25565,534
227186.226.0.0/16186.226.0.1 to 186.226.255.254186.226.255.25565,534
228186.227.0.0/16186.227.0.1 to 186.227.255.254186.227.255.25565,534
229186.228.0.0/16186.228.0.1 to 186.228.255.254186.228.255.25565,534
230186.229.0.0/16186.229.0.1 to 186.229.255.254186.229.255.25565,534
231186.230.0.0/16186.230.0.1 to 186.230.255.254186.230.255.25565,534
232186.231.0.0/16186.231.0.1 to 186.231.255.254186.231.255.25565,534
233186.232.0.0/16186.232.0.1 to 186.232.255.254186.232.255.25565,534
234186.233.0.0/16186.233.0.1 to 186.233.255.254186.233.255.25565,534
235186.234.0.0/16186.234.0.1 to 186.234.255.254186.234.255.25565,534
236186.235.0.0/16186.235.0.1 to 186.235.255.254186.235.255.25565,534
237186.236.0.0/16186.236.0.1 to 186.236.255.254186.236.255.25565,534
238186.237.0.0/16186.237.0.1 to 186.237.255.254186.237.255.25565,534
239186.238.0.0/16186.238.0.1 to 186.238.255.254186.238.255.25565,534
240186.239.0.0/16186.239.0.1 to 186.239.255.254186.239.255.25565,534
241186.240.0.0/16186.240.0.1 to 186.240.255.254186.240.255.25565,534
242186.241.0.0/16186.241.0.1 to 186.241.255.254186.241.255.25565,534
243186.242.0.0/16186.242.0.1 to 186.242.255.254186.242.255.25565,534
244186.243.0.0/16186.243.0.1 to 186.243.255.254186.243.255.25565,534
245186.244.0.0/16186.244.0.1 to 186.244.255.254186.244.255.25565,534
246186.245.0.0/16186.245.0.1 to 186.245.255.254186.245.255.25565,534
247186.246.0.0/16186.246.0.1 to 186.246.255.254186.246.255.25565,534
248186.247.0.0/16186.247.0.1 to 186.247.255.254186.247.255.25565,534
249186.248.0.0/16186.248.0.1 to 186.248.255.254186.248.255.25565,534
250186.249.0.0/16186.249.0.1 to 186.249.255.254186.249.255.25565,534
251186.250.0.0/16186.250.0.1 to 186.250.255.254186.250.255.25565,534
252186.251.0.0/16186.251.0.1 to 186.251.255.254186.251.255.25565,534
253186.252.0.0/16186.252.0.1 to 186.252.255.254186.252.255.25565,534
254186.253.0.0/16186.253.0.1 to 186.253.255.254186.253.255.25565,534
255186.254.0.0/16186.254.0.1 to 186.254.255.254186.254.255.25565,534
256186.255.0.0/16186.255.0.1 to 186.255.255.254186.255.255.25565,534

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses